//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "ChildWin.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
//---------------------------------------------------------------------
__fastcall TMDIChild::TMDIChild(TComponent *Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------
void __fastcall TMDIChild::ActualizarVisor (void)
{
  char nombre[] = "tmp.bmp";

  if (ImagenContorno) {

     GuardaBMP (ImagenContorno,nombre);
     ImagenBMP->Picture->LoadFromFile (nombre);
     remove (nombre);

     // Visualizacin

     ImagenBMP->Top  = 0;
     ImagenBMP->Left = 0;
     ImagenBMP->Height = ImagenBMP->Picture->Height;
     ImagenBMP->Width  = ImagenBMP->Picture->Width;

     ClientHeight = ImagenBMP->Height;
     ClientWidth  = ImagenBMP->Width;

     ImagenBMP->Repaint();
  }
}
//---------------------------------------------------------------------------
void __fastcall TMDIChild::Extraer (void)
{
  Puntos = ExtraerContorno (ImagenContorno, MAX_CONTORNO, X, Y);
}
//---------------------------------------------------------------------------
void __fastcall TMDIChild::Dibujar (void)
{
  char   nombre[] = "tmp.bmp";
  Imagen aux;

  if (Puntos) {
     aux = DibujarContorno (ANCHURA(ImagenContorno),ALTURA(ImagenContorno),Puntos,X,Y);

     if (aux) {
        DestruyeImagen(&ImagenContorno);
        ImagenContorno = aux;

        GuardaBMP (ImagenContorno,nombre);
        ImagenBMP->Picture->LoadFromFile (nombre);
        remove (nombre);
     }
  }
}
//---------------------------------------------------------------------------
void __fastcall TMDIChild::Suavizar (float s, int d)
{
  if (Puntos) {
     SuavizarContorno (s,d,Puntos,X,Y);
     Dibujar();
  }
}
//---------------------------------------------------------------------------
void __fastcall TMDIChild::FormClose(TObject *Sender, TCloseAction &Action)
{
  Action = caFree;
}
//---------------------------------------------------------------------
