//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "GAUSS.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFormGauss *FormGauss;
//---------------------------------------------------------------------------
__fastcall TFormGauss::TFormGauss(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
// Idioma
//---------------------------------------------------------------------------
#define SPANISH 0
#define ENGLISH 1

void __fastcall TFormGauss::Idioma (int language)
{
  if (language==SPANISH) {
     Caption = "Gaussiana";
     Label->Caption = "Desviacin estndar";
     LabelVentana->Caption = "Tamao de la ventana";
     BitBtnCancel->Caption = "Cancelar";
  } else if (language==ENGLISH) {
     Caption = "Gaussian";
     Label->Caption = "Standard deviation";
     LabelVentana->Caption = "Window size";
     BitBtnCancel->Caption = "Cancel";
  }
}
//---------------------------------------------------------------------------
void __fastcall TFormGauss::FormActivate(TObject *Sender)
{
  char s[10];

  S = 10.0;
  ScrollBar->Position = 10*S;
  sprintf(s,"%.1f",S);
  LabelS->Caption = s;

  D = 6;
  ScrollBarD->Position = D;
  sprintf(s,"%d",2*D+1);
  LabelD->Caption = s;
}
//---------------------------------------------------------------------------
void __fastcall TFormGauss::ScrollBarChange(TObject *Sender)
{
  char s[10];

  S = ScrollBar->Position / 10.0;

  sprintf(s,"%.1f",S);
  LabelS->Caption = s;
}
//---------------------------------------------------------------------------
void __fastcall TFormGauss::ScrollBarDChange(TObject *Sender)
{
  char s[10];

  D = ScrollBarD->Position;

  sprintf(s,"%d",2*D+1);
  LabelD->Caption = s;
}
//---------------------------------------------------------------------------