//---------------------------------------------------------------------------
#ifndef CONVOLVEH
#define CONVOLVEH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "Grids.hpp"
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
#include "IMG_TYPE.H"
//---------------------------------------------------------------------------
class TFormConvolve : public TForm
{
__published:	// IDE-managed Components
	TStringGrid *StringGridMask;
	TBitBtn *BitBtnSpatial;
	TBitBtn *BitBtnFrequency;
	TLabel *LabelH;
	TLabel *LabelW;
	TScrollBar *ScrollBarH;
	TScrollBar *ScrollBarW;
	TLabel *LabelFilas;
	TLabel *LabelColumnas;
	TBevel *Bevel1;
	TLabel *LabelX;
	TLabel *LabelY;
	TScrollBar *ScrollBarX;
	TScrollBar *ScrollBarY;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *LabelCentro;
	void __fastcall ScrollBarHChange(TObject *Sender);
	void __fastcall ScrollBarWChange(TObject *Sender);
	void __fastcall ScrollBarXChange(TObject *Sender);
	void __fastcall ScrollBarYChange(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	
	
	
	void __fastcall BitBtnSpatialClick(TObject *Sender);
	void __fastcall BitBtnFrequencyClick(TObject *Sender);
private:	// User declarations

       void __fastcall LeerGrid (void);
       void __fastcall ActualizarGrid (void);

public:		// User declarations
	__fastcall TFormConvolve(TComponent* Owner);

        FloatImg Mask;
        int      DimX;
        int      DimY;

        int   CentroX;
        int   CentroY;

        int   Tipo;  // 1 ---> Espacial
                     // 2 ---> Frecuencial
                     
        void __fastcall Idioma (int language);
};
//---------------------------------------------------------------------------
extern TFormConvolve *FormConvolve;
//---------------------------------------------------------------------------
#endif
