//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "IMG.H"
#include "OPTIONS.H"
#include "HISTOGRAMA.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFormHistograma *FormHistograma;
//---------------------------------------------------------------------------
__fastcall TFormHistograma::TFormHistograma(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFormHistograma::Histograma (Imagen img)
{
  int i,j;
  int idioma = FormOptions->Language();

  for (i=0; i<256; i++)
      nivel[i] = 0;

  for (i=0; i<ANCHURA(img); i++)
      for (j=0; j<ALTURA(img); j++)
          nivel[PIXEL(img,i,j)]++;

  max = nivel[0];

  for (i=0; i<256; i++)
      if (nivel[i]>max)
         max=nivel[i];

  if (idioma==SPANISH)
     Caption = "Histograma";
  else if (idioma==ENGLISH)
     Caption = "Histogram";
}
//---------------------------------------------------------------------------
void __fastcall TFormHistograma::HistogramaAcumulado (Imagen img)
{
  int i,j;
  int idioma = FormOptions->Language();

  for (i=0; i<256; i++)
      nivel[i] = 0;

  for (i=0; i<ANCHURA(img); i++)
      for (j=0; j<ALTURA(img); j++)
          nivel[PIXEL(img,i,j)]++;

  for (i=1; i<256; i++)
      nivel[i] += nivel[i-1];

  max = nivel[255];

  if (idioma==SPANISH)
     Caption = "Histograma acumulado";
  else if (idioma==ENGLISH)
     Caption = "Cumulative histogram";
}
//---------------------------------------------------------------------------
void __fastcall TFormHistograma::DiagramaPaint(TObject *Sender)
{
  int left,right,top,bottom,i;

  Diagrama->Canvas->Pen->Mode = pmBlack;

  for (i=0; i<256; i++) {
      left   = i*2;
      right  = left+1;
      top    = 250 - 250*((float)nivel[i]/(float)max);
      bottom = 250;
      Diagrama->Canvas->Rectangle(left,top,right,bottom);
  }
}
//---------------------------------------------------------------------------