/* ----------------------------------------------------------------------- */
/*    Fernando Berzal Galiano                ETS Ingeniera Informtica    */
/* ----------------------------------------------------------------------- */
/*                       Procesamiento de imgenes                         */
/* ----------------------------------------------------------------------- */
/*                   Transformaciones geomtricas en 2D                    */
/* ----------------------------------------------------------------------- */

#include "IMG.H"

/* ----------------------------------------------------------------------- */

Imagen ZoomImagen ( Imagen img, WORD anchura, WORD altura );

/* Imagen en niveles de gris: Zoom por interpolacin */

Imagen ZoomInterpolacion ( Imagen img, int orden );

/* ----------------------------------------------------------------------- */

Imagen SubImagen ( Imagen img, WORD x1, WORD y1, WORD x2, WORD y2 );

/* ----------------------------------------------------------------------- */

Imagen ReflejoVertical ( Imagen img );

Imagen ReflejoHorizontal ( Imagen img );

/* ----------------------------------------------------------------------- */

Imagen RotacionClock (Imagen img, double angulo );

/* --- */

Imagen Rotacion90  ( Imagen img );

Imagen Rotacion180 ( Imagen img );

Imagen Rotacion270 ( Imagen img );

/* --- */

Imagen Rotacion ( Imagen img, double angulo );

/* ----------------------------------------------------------------------- */
