/* ----------------------------------------------------------------------- */
/*    Fernando Berzal Galiano                ETS Ingeniera Informtica    */
/* ----------------------------------------------------------------------- */
/*                       Procesamiento de imgenes                         */
/* ----------------------------------------------------------------------- */
/*                         Introduccin de ruido                           */
/* ----------------------------------------------------------------------- */

#include "IMG.H"

/* ----------------------------------------------------------------------- */

// p     = Porcentaje de ruido / 100
// max   = Mximo ruido
// media = Media de la distribucin
// sd    = Desviacin estndar de la distribucin

Imagen RuidoAditivoUniforme    (Imagen img, float p, int max);
Imagen RuidoAditivoNormal      (Imagen img, float p, float media, float sd);
Imagen RuidoAditivoExponencial (Imagen img, float p, float media);

Imagen RuidoMultiplicativoUniforme    (Imagen img, float p, int max);
Imagen RuidoMultiplicativoNormal      (Imagen img, float p, float media, float sd);
Imagen RuidoMultiplicativoExponencial (Imagen img, float p, float media);

/* ----------------------------------------------------------------------- */

