//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "INFO.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFormInfo *FormInfo;
//---------------------------------------------------------------------------
__fastcall TFormInfo::TFormInfo(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
// Idioma
//---------------------------------------------------------------------------
#define SPANISH 0
#define ENGLISH 1

void __fastcall TFormInfo::Idioma (int language)
{
  if (language==SPANISH) {
     Caption = "Informacin de la imagen";
     LabelW->Caption = "Anchura";
     LabelH->Caption = "Altura";
  } else if (language==ENGLISH) {
     Caption = "Image information";
     LabelW->Caption = "Width";
     LabelH->Caption = "Height";
  }
}
//---------------------------------------------------------------------------
void __fastcall TFormInfo::BitMap (Graphics::TBitmap *img)
{
  float ratio;
  char  s[10];

  if (img->Height>img->Width) {
     BMP->Height = 128;
     ratio       = (float)img->Width / (float)img->Height;
     BMP->Width  = 128 * ratio;
     BMP->Top    = 64;
     BMP->Left   = 43 + (128 - BMP->Width ) / 2;
  } else {
     BMP->Width  = 128;
     ratio       = (float)img->Height / (float)img->Width;
     BMP->Height = 128 * ratio;
     BMP->Top    = 64 + (128 - BMP->Height ) / 2;
     BMP->Left   = 43;
  }

  BMP->Picture->Bitmap = img;

  itoa (img->Width, s, 10 );
  LabelAnchura->Caption = s;

  itoa (img->Height, s, 10 );
  LabelAltura->Caption = s;
}
//---------------------------------------------------------------------------
