//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USERES("Imagen.res");
USEFORM("Main.cpp", FormMain);
USEUNIT("IMG.cpp");
USEFORM("BMP.cpp", ImagenBMP);
USEUNIT("IMG_RGB.cpp");
USEUNIT("IMG_2D.cpp");
USEFORM("PRINT.cpp", FormPrint);
USEFORM("INFO.cpp", FormInfo);
USEFORM("HISTOGRAMA.cpp", FormHistograma);
USEUNIT("IMG_PROC.cpp");
USEUNIT("IMG_SEGM.cpp");
USEFORM("ANGULO.cpp", FormAngulo);
USEFORM("ZOOM.cpp", FormZoom);
USEFORM("RECORTE.cpp", FormRecorte);
USEFORM("GRIS.cpp", FormNivel);
USEFORM("STRETCH.cpp", FormStretch);
USEFORM("OPTIONS.cpp", FormOptions);
USEFORM("ABOUT.cpp", FormAbout);
USEUNIT("IMG_EDGE.cpp");
USEUNIT("IMG_TYPE.cpp");
USEFORM("CONVOLUTION.cpp", FormConvolution);
USEUNIT("IMG_MORF.cpp");
USEUNIT("IMG_FREQ.cpp");
USEUNIT("IMG_WAVE.cpp");
USEFORM("CUTOFF.cpp", FormCutOff);
USEFORM("BANDA.cpp", FormBand);
USEFORM("BUTTERWORTH.cpp", FormButterworth);
USEFORM("ITERACIONES.cpp", FormIteraciones);
USEFORM("GAUSS.cpp", FormGauss);
USEFORM("SMOOTHING.cpp", FormSmooth);
USEUNIT("IMG_GRAD.cpp");
USEFORM("SHARPENING.cpp", FormSharpen);
USEUNIT("IMG_SNR.cpp");
USEFORM("PORCENTAJE.cpp", FormPorcentaje);
USEFORM("MEDIA.cpp", FormMedia);
USEFORM("SD.cpp", FormSD);
USEFORM("WAVELET.cpp", FormWavelet);
USEFORM("CONVOLVE.cpp", FormConvolve);
USEUNIT("IMG_CONV.cpp");
USEFORM("SECTION.cpp", FormSection);
USEUNIT("IMG_LINE.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                Application->Initialize();
                Application->Title = "Berzal@Imagen";
		Application->CreateForm(__classid(TFormMain), &FormMain);
		Application->CreateForm(__classid(TImagenBMP), &ImagenBMP);
		Application->CreateForm(__classid(TFormPrint), &FormPrint);
		Application->CreateForm(__classid(TFormInfo), &FormInfo);
		Application->CreateForm(__classid(TFormHistograma), &FormHistograma);
		Application->CreateForm(__classid(TFormAngulo), &FormAngulo);
		Application->CreateForm(__classid(TFormZoom), &FormZoom);
		Application->CreateForm(__classid(TFormRecorte), &FormRecorte);
		Application->CreateForm(__classid(TFormNivel), &FormNivel);
		Application->CreateForm(__classid(TFormStretch), &FormStretch);
		Application->CreateForm(__classid(TFormOptions), &FormOptions);
		Application->CreateForm(__classid(TFormAbout), &FormAbout);
		Application->CreateForm(__classid(TFormConvolution), &FormConvolution);
		Application->CreateForm(__classid(TFormCutOff), &FormCutOff);
		Application->CreateForm(__classid(TFormBand), &FormBand);
		Application->CreateForm(__classid(TFormButterworth), &FormButterworth);
		Application->CreateForm(__classid(TFormIteraciones), &FormIteraciones);
		Application->CreateForm(__classid(TFormGauss), &FormGauss);
		Application->CreateForm(__classid(TFormSmooth), &FormSmooth);
		Application->CreateForm(__classid(TFormSharpen), &FormSharpen);
		Application->CreateForm(__classid(TFormPorcentaje), &FormPorcentaje);
		Application->CreateForm(__classid(TFormMedia), &FormMedia);
		Application->CreateForm(__classid(TFormSD), &FormSD);
		Application->CreateForm(__classid(TFormWavelet), &FormWavelet);
		Application->CreateForm(__classid(TFormConvolve), &FormConvolve);
		Application->CreateForm(__classid(TFormSection), &FormSection);
		Application->Run();
        }
        catch (Exception &exception)
        {
                Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
