//---------------------------------------------------------------------------
#ifndef PRINTH
#define PRINTH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Dialogs.hpp>
//---------------------------------------------------------------------------
class TFormPrint : public TForm
{
__published:	// IDE-managed Components
        TShape *Papel;
        TImage *BMP;
	TLabel *LabelW;
	TLabel *LabelH;
	TLabel *LabelP1;
	TLabel *LabelP2;
	TBitBtn *BitBtnOK;
	TBitBtn *BitBtnCancel;
        TCheckBox *CheckBoxProporciones;
        TEdit *EditAnchura;
        TEdit *EditAltura;
	TPrinterSetupDialog *PrinterSetupDialog;
	TBitBtn *ButtonPrinter;
        void __fastcall CheckBoxProporcionesClick(TObject *Sender);


        void __fastcall EditAnchuraExit(TObject *Sender);
        void __fastcall EditAlturaExit(TObject *Sender);
	void __fastcall ButtonPrinterClick(TObject *Sender);
private:	// User declarations
        int AnchuraPRN;
        int AlturaPRN;
        void __fastcall TFormPrint::ActualizarVisor (void);
        void __fastcall TFormPrint::ActualizarPapel (void);
public:		// User declarations
        __fastcall TFormPrint(TComponent* Owner);

        void __fastcall TFormPrint::Idioma (int language);
        void __fastcall TFormPrint::BitMap (Graphics::TBitmap *imagen);

        int Anchura;
        int Altura;
};
//---------------------------------------------------------------------------
extern TFormPrint *FormPrint;
//---------------------------------------------------------------------------
#endif
