//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "STRETCH.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFormStretch *FormStretch;
//---------------------------------------------------------------------------
__fastcall TFormStretch::TFormStretch(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
// Idioma
//---------------------------------------------------------------------------
#define SPANISH 0
#define ENGLISH 1

void __fastcall TFormStretch::Idioma (int language)
{
  if (language==SPANISH) {
     Caption = "Extensin del contraste";
     PanelPOLILINEA->Caption = "Polilnea";
     BitBtnCancel->Caption = "Cancelar";
  } else if (language==ENGLISH) {
     Caption = "Stretching";
     PanelPOLILINEA->Caption = "Polyline";
     BitBtnCancel->Caption = "Cancel";
  }
}
//---------------------------------------------------------------------------
void __fastcall TFormStretch::ActualizarVisor (void)
{
  char s[10];

  itoa(X,s,10);
  LabelX->Caption = s;
  itoa(Y,s,10);
  LabelY->Caption = s;
  itoa(U,s,10);
  LabelU->Caption = s;
  itoa(V,s,10);
  LabelV->Caption = s;

  PaintBox->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TFormStretch::ScrollBarXChange(TObject *Sender)
{
  if (ScrollBarX->Position<U) {
     X = ScrollBarX->Position;
  } else {
     ScrollBarX->Position = X;
  }

  ActualizarVisor();
}
//---------------------------------------------------------------------------
void __fastcall TFormStretch::ScrollBarUChange(TObject *Sender)
{
  if (ScrollBarU->Position>X) {
     U = ScrollBarU->Position;
  } else {
     ScrollBarU->Position = U;
  }

  ActualizarVisor();
}
//---------------------------------------------------------------------------
void __fastcall TFormStretch::ScrollBarYChange(TObject *Sender)
{
  // if (255-ScrollBarY->Position<V) {
  //    Y = 255 - ScrollBarY->Position;
  // } else {
  //    ScrollBarY->Position = 255 - Y;
  // }

  Y = 255 - ScrollBarY->Position;
  ActualizarVisor();
}
//---------------------------------------------------------------------------
void __fastcall TFormStretch::ScrollBarVChange(TObject *Sender)
{
  // if (255-ScrollBarV->Position>Y) {
  //    V = 255 - ScrollBarV->Position;
  // } else {
  //    ScrollBarV->Position = 255 - V;
  // }

  V = 255 - ScrollBarV->Position;
  ActualizarVisor();
}
//---------------------------------------------------------------------------
void __fastcall TFormStretch::FormActivate(TObject *Sender)
{
  X = 0;
  Y = 0;
  U = 255;
  V = 255;

  ScrollBarX->Position = 0;
  ScrollBarY->Position = 255;
  ScrollBarU->Position = 255;
  ScrollBarV->Position = 0;
}
//---------------------------------------------------------------------------
void __fastcall TFormStretch::PaintBoxPaint(TObject *Sender)
{
  PaintBox->Canvas->Pen->Mode = pmBlack;

  PaintBox->Canvas->MoveTo(0,255);
  PaintBox->Canvas->LineTo(X,255-Y);
  PaintBox->Canvas->LineTo(U,255-V);
  PaintBox->Canvas->LineTo(255,0);
}
//---------------------------------------------------------------------------
