//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "CONTORNO.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFormContorno *FormContorno;
//---------------------------------------------------------------------------
__fastcall TFormContorno::TFormContorno(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFormContorno::FormActivate(TObject *Sender)
{
  char s[40];

  sprintf (s,"El contorno contiene %d pxeles",N);
  LabelN->Caption = s;

  CurvaturaOK = false;
}
//---------------------------------------------------------------------------
void __fastcall TFormContorno::BitBtnCurvaturaClick(TObject *Sender)
{
  if (FormGauss->ShowModal()==mrOk) {
     Screen->Cursor = crHourGlass;
     CurvaturaContorno(FormGauss->S,FormGauss->D, N,X,Y,K);
     Screen->Cursor = crDefault;
     CurvaturaOK = true;
     PaintBoxK->Repaint();
  }
}
//---------------------------------------------------------------------------
void __fastcall TFormContorno::PaintBoxXPaint(TObject *Sender)
{
  int   i,min,max;
  float h,w,xd,yd;

  min = X[0];
  max = X[0];

  for (i=1; i<N; i++) {
      if (X[i]>max) max=X[i];
      if (X[i]<min) min=X[i];
  }

  h  = PaintBoxX->Height-1;
  w  = PaintBoxX->Width;

  if (max>min)
     yd = h/(max - min);

  xd = w/N;

  PaintBoxX->Canvas->Pen->Mode = pmBlack;

  PaintBoxX->Canvas->MoveTo(0,h-(X[0]-min)*yd);

  for (i=1; i<N; i++)
      PaintBoxX->Canvas->LineTo (i*xd,h-(X[i]-min)*yd);
}
//---------------------------------------------------------------------------
void __fastcall TFormContorno::PaintBoxYPaint(TObject *Sender)
{
  int   i,min,max;
  float h,w,xd,yd;

  min = Y[0];
  max = Y[0];

  for (i=1; i<N; i++) {
      if (Y[i]>max) max=Y[i];
      if (Y[i]<min) min=Y[i];
  }

  h  = PaintBoxY->Height-1;
  w  = PaintBoxY->Width;

  if (max>min)
     yd = h/(max - min);

  xd = w/N;

  PaintBoxY->Canvas->Pen->Mode = pmBlack;

  PaintBoxY->Canvas->MoveTo(0,h-(Y[0]-min)*yd);

  for (i=1; i<N; i++)
      PaintBoxY->Canvas->LineTo (i*xd,h-(Y[i]-min)*yd);
}
//---------------------------------------------------------------------------
void __fastcall TFormContorno::PaintBoxKPaint(TObject *Sender)
{
  int    i;
  double max,h,w,xd,yd;

  if (CurvaturaOK) {

     max = abs(K[0]);

     for (i=1; i<N; i++)
         if (abs(K[i])>max) max=abs(K[i]);

     h  = PaintBoxK->Height/2-1;
     w  = PaintBoxK->Width-1;

     if (max>0)
        yd = h/(1.5*max);
     else
        yd = 0;

     xd = w/N;
/*
     char s[20];
     sprintf (s,"MAX = %.1f",max);
     LabelMaximo->Caption = s;
*/
     PaintBoxK->Canvas->Pen->Mode  = pmCopy;
     PaintBoxK->Canvas->Pen->Color = clAqua;

     PaintBoxK->Canvas->MoveTo(0,h);
     PaintBoxK->Canvas->LineTo(w,h);

     PaintBoxK->Canvas->Pen->Mode = pmBlack;

     PaintBoxK->Canvas->MoveTo(0,h-K[0]*yd);

     for (i=1; i<N; i++)
         PaintBoxK->Canvas->LineTo (i*xd,h-K[i]*yd);

     PaintBoxK->Canvas->LineTo(w,h-K[0]*yd);
  }
}
//---------------------------------------------------------------------------
