//---------------------------------------------------------------------------
#ifndef CONTORNOH
#define CONTORNOH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
#include "IMG_CONT.H"
#include "GAUSS.H"
//---------------------------------------------------------------------------
class TFormContorno : public TForm
{
__published:	// IDE-managed Components
	TBitBtn *BitBtnOK;
	TPaintBox *PaintBoxX;
	TPaintBox *PaintBoxY;
	TLabel *Label1;
	TLabel *Label2;
	TBevel *Bevel1;
	TBevel *Bevel2;
	TPaintBox *PaintBoxK;
	TLabel *Label3;
	TBevel *Bevel3;
	TLabel *LabelN;
	TBitBtn *BitBtnCurvatura;
	TLabel *LabelMaximo;
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall BitBtnCurvaturaClick(TObject *Sender);
	void __fastcall PaintBoxXPaint(TObject *Sender);
	
	void __fastcall PaintBoxKPaint(TObject *Sender);
	void __fastcall PaintBoxYPaint(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TFormContorno(TComponent* Owner);

        bool CurvaturaOK;

        WORD *X;
        WORD *Y;
        int   N;

        double K[MAX_CONTORNO];
};
//---------------------------------------------------------------------------
extern TFormContorno *FormContorno;
//---------------------------------------------------------------------------
#endif
