/* ----------------------------------------------------------------------- */
/*    Fernando Berzal Galiano                ETS Ingeniera Informtica    */
/* ----------------------------------------------------------------------- */
/*                       Procesamiento de imgenes                         */
/* ----------------------------------------------------------------------- */
/*                              Contornos                                  */
/* ----------------------------------------------------------------------- */

#include "IMG.H"

#define MAX_CONTORNO 8192

/* ----------------------------------------------------------------------- */

int ExtraerContorno (Imagen img, int max, WORD *X, WORD *Y);

/* ----------------------------------------------------------------------- */

Imagen DibujarContorno (WORD anchura, WORD altura, int puntos, WORD *X, WORD *Y);

/* ----------------------------------------------------------------------- */

void SuavizarContorno (float s, int d, int puntos, WORD *X, WORD *Y);

/* ----------------------------------------------------------------------- */

void CurvaturaContorno (float s, int d, int puntos, WORD *X, WORD *Y, double *K);

/* ----------------------------------------------------------------------- */

int PuntosRelevantesContorno ( float s, int d,
                               int puntos, WORD *X, WORD *Y,
                               WORD *Xmax, WORD*Ymax, WORD *Tmax);

/* ----------------------------------------------------------------------- */

Imagen AproximacionPoligonal ( WORD anchura, WORD altura,
                               float s, int d,
                               int puntos, WORD *X, WORD *Y );

/* ----------------------------------------------------------------------- */

