//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "MAX.h"

#include "IMG_CONT.H"

//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFormMaxK *FormMaxK;
//---------------------------------------------------------------------------
__fastcall TFormMaxK::TFormMaxK(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFormMaxK::FormActivate(TObject *Sender)
{
  char s[10];

  D = 6;
  ScrollBarD->Position = D;
  sprintf(s,"%d",2*D+1);
  LabelD->Caption = s;

  PaintBoxMax->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TFormMaxK::ScrollBarDChange(TObject *Sender)
{
  char s[10];

  D = ScrollBarD->Position;

  sprintf(s,"%d",2*D+1);
  LabelD->Caption = s;

  PaintBoxMax->Repaint();
}
//---------------------------------------------------------------------------

int __fastcall TFormMaxK::dist (int p, int q)
{
  if ((p-q+N)%N <= (q-p+N)%N)
     return (p-q+N)%N;
  else
     return (q-p+N)%N;
     
/*
  if (p<=q) {

     if ( q-p <= p+N-q )
        return q-p;
     else
        return p+q-N;

  } else
     return dist(q,p);
*/
}

// ---

void __fastcall TFormMaxK::PaintBoxMaxPaint(TObject *Sender)
{
  WORD K[MAX_CONTORNO];
  WORD P[MAX_CONTORNO];
  int  p,k;

  float  s;
  int    iteracion,i,j;
  int    min;
  double h,w,xd,yd;

  h  = PaintBoxMax->Height-1;
  w  = PaintBoxMax->Width-1;

  yd = h/12;
  xd = w/N;

  s = 1.0;
  p = PuntosRelevantesContorno (s,D,N,X,Y,NULL,NULL,P);

  PaintBoxMax->Canvas->Pen->Mode = pmBlack;

  for (iteracion=1; iteracion<=12; iteracion++) {

     s = s*2; 

     k = PuntosRelevantesContorno (s,D,N,X,Y,NULL,NULL,K);

     /* Dibujo */

     for (i=0; i<p; i++) {

         /* P[i] ---> K[?] */

         min = 0;

         for (j=1; j<k; j++)
             if (dist(P[i],K[j])<dist(P[i],K[min]))
                min = j;

         PaintBoxMax->Canvas->MoveTo(P[i]*xd,(iteracion-1)*yd);
         /*PaintBoxMax->Canvas->LineTo(P[i]*xd,iteracion*yd);*/

         if ( abs(P[i]-K[min])<N/2 )
            PaintBoxMax->Canvas->LineTo(K[min]*xd,iteracion*yd);
     }

     /* Copia K en P */

     p = k;

     for (i=0; i<p; i++)
         P[i] = K[i];
  }
}
//---------------------------------------------------------------------------
