//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include <math.h>

#include "ANGULO.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFormAngulo *FormAngulo;
//---------------------------------------------------------------------------
__fastcall TFormAngulo::TFormAngulo(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
// Idioma
//---------------------------------------------------------------------------
#define SPANISH 0
#define ENGLISH 1

void __fastcall TFormAngulo::Idioma (int language)
{
  if (language==SPANISH) {
     Caption = "Rotacin";
     RadioButtonDEG->Caption = "Grados";
     RadioButtonRAD->Caption = "Radianes";
     ButtonCancel->Caption = "Cancelar";
  } else if (language==ENGLISH) {
     Caption = "Rotate";
     RadioButtonDEG->Caption = "Degrees";
     RadioButtonRAD->Caption = "Radians";
     ButtonCancel->Caption = "Cancel";
  }
}
//---------------------------------------------------------------------------
void __fastcall TFormAngulo::RadioButtonDEGClick(TObject *Sender)
{
  char string[10];

  RadioButtonDEG->Checked = true;
  RadioButtonRAD->Checked = false;

  sprintf(string,"%d", (int)((180/M_PI)*Angulo));
  EditAngulo->Text = string;
}
//---------------------------------------------------------------------------
void __fastcall TFormAngulo::RadioButtonRADClick(TObject *Sender)
{
  char string[10];

  RadioButtonRAD->Checked = true;
  RadioButtonDEG->Checked = false;

  sprintf(string,"%g",Angulo);
  EditAngulo->Text = string;
}
//---------------------------------------------------------------------------
void __fastcall TFormAngulo::FormCreate(TObject *Sender)
{
  Angulo = 0;
  EditAngulo->Text = "0";
}
//---------------------------------------------------------------------------
void __fastcall TFormAngulo::EditAnguloExit(TObject *Sender)
{
  char   string[10];
  double valor = atof(EditAngulo->Text.c_str());

  if (RadioButtonDEG->Checked) {
     Angulo = M_PI*valor / 180;
     sprintf(string,"%d", (int)valor);
     EditAngulo->Text = string;
  } else {
     Angulo = valor;
     sprintf(string,"%g",Angulo);
     EditAngulo->Text = string;
  }
}
//---------------------------------------------------------------------------
