/* ----------------------------------------------------------------------- */
/*    Fernando Berzal Galiano                ETS Ingeniera Informtica    */
/* ----------------------------------------------------------------------- */
/*                       Procesamiento de imgenes                         */
/* ----------------------------------------------------------------------- */
/*                              Morfologa                                 */
/* ----------------------------------------------------------------------- */

#include "IMG.H"

/* ----------------------------------------------------------------------- */
/*  Structuring elements                                                   */

Imagen SE_3x3 (int t[3][3]);

Imagen SE_3x3_Simple ( BYTE n );  /* vg: n=1 ---> Smooth */

Imagen SE_3x3_Soft       (void);
Imagen SE_3x3_MexicanHat (void);


Imagen SE_Sphere ( BYTE radio );  /* vg: radio=3 ---> SE 7x7 */

/* ----------------------------------------------------------------------- */

Imagen Dilation (Imagen a, Imagen se, WORD origenX, WORD origenY);

/* ----------------------------------------------------------------------- */

Imagen Erosion (Imagen a, Imagen se, WORD origenX, WORD origenY);

/* ----------------------------------------------------------------------- */

Imagen Gradient (Imagen a, Imagen se, WORD origenX, WORD origenY);

/* ----------------------------------------------------------------------- */

Imagen Closing (Imagen a, Imagen se, WORD origenX, WORD origenY);

/* ----------------------------------------------------------------------- */

Imagen Opening (Imagen a, Imagen se, WORD origenX, WORD origenY);

/* ----------------------------------------------------------------------- */

Imagen MorphologicalSmooth (Imagen a, Imagen se, WORD origenX, WORD origenY);

/* ----------------------------------------------------------------------- */

/* I - Erosion(I) */

Imagen InteriorOutlining (Imagen a, Imagen se, WORD origenX, WORD origenY);

/* Dilation(I) - I */

Imagen ExteriorOutlining (Imagen a, Imagen se, WORD origenX, WORD origenY);

/* ----------------------------------------------------------------------- */
