# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = Imagen.exe
OBJFILES = Imagen.obj Main.obj IMG.obj BMP.obj IMG_RGB.obj IMG_2D.obj \
   PRINT.obj INFO.obj HISTOGRAMA.obj IMG_PROC.obj IMG_SEGM.obj ANGULO.obj \
   ZOOM.obj RECORTE.obj GRIS.obj STRETCH.obj OPTIONS.obj ABOUT.obj IMG_EDGE.obj \
   IMG_TYPE.obj CONVOLUTION.obj IMG_MORF.obj IMG_FREQ.obj IMG_WAVE.obj CUTOFF.obj \
   BANDA.obj BUTTERWORTH.obj ITERACIONES.obj GAUSS.obj SMOOTHING.obj IMG_GRAD.obj \
   SHARPENING.obj IMG_SNR.obj PORCENTAJE.obj MEDIA.obj SD.obj WAVELET.obj \
   CONVOLVE.obj IMG_CONV.obj SECTION.obj IMG_LINE.obj
RESFILES = Imagen.res
RESDEPEN = $(RESFILES) Main.dfm BMP.dfm PRINT.dfm INFO.dfm HISTOGRAMA.dfm \
   ANGULO.dfm ZOOM.dfm RECORTE.dfm GRIS.dfm STRETCH.dfm OPTIONS.dfm ABOUT.dfm \
   CONVOLUTION.dfm CUTOFF.dfm BANDA.dfm BUTTERWORTH.dfm ITERACIONES.dfm GAUSS.dfm \
   SMOOTHING.dfm SHARPENING.dfm PORCENTAJE.dfm MEDIA.dfm SD.dfm WAVELET.dfm \
   CONVOLVE.dfm SECTION.dfm
LIBFILES = 
DEFFILE = 
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w- -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -Id:\imagen\ico;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -Ud:\imagen\ico;$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib \
   -Id:\imagen\ico;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl -v -$Y -$W \
   -$O- -JPHNV -M  
RFLAGS = -id:\imagen\ico;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl 
LFLAGS = -Ld:\imagen\ico;$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib -aa -Tpe -x \
   -v -V4.0 
IFLAGS = 
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib 
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES) 
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $* 

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
