//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Dialogs.hpp>
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *MainMenu;
        TMenuItem *MenuImagen;
        TMenuItem *MenuObtener;
        TMenuItem *MenuProcesamiento;
        TMenuItem *MenuCargarImagen;
        TMenuItem *MenuGuardarImagen;
        TMenuItem *MenuImprimir;
        TMenuItem *N2;
        TMenuItem *MenuEdicion;
        TMenuItem *MenuSalir;
        TOpenDialog *OpenDialog;
        TSaveDialog *SaveDialog;
        TPrintDialog *PrintDialog;
        TMenuItem *MenuInformacion;
        TMenuItem *MenuDimensiones;
        TMenuItem *MenuHistograma;
        TMenuItem *MenuHistogramaAcumulado;
        TMenuItem *N3;
        TMenuItem *MenuDeshacer;
        TMenuItem *MenuRehacer;
        TMenuItem *N4;
        TMenuItem *MenuAcercar;
        TMenuItem *MenuAlejar;
        TMenuItem *N5;
        TMenuItem *MenuReflejoHorizontal;
        TMenuItem *MenuReflejoVertical;
        TMenuItem *N6;
        TMenuItem *MenuRotacion;
        TMenuItem *N7;
        TMenuItem *MenuEscala;
        TMenuItem *MenuZoomInterpolacion;
        TMenuItem *N8;
        TMenuItem *MenuRecorte;
        TMenuItem *MenuImagenNivelesDeGris;
        TMenuItem *N9;
        TMenuItem *MenuLuminanciaCIE;
        TMenuItem *MenuLuminanciaNTSC;
        TMenuItem *N10;
        TMenuItem *MenuMediaRGB;
        TMenuItem *MenuMaximoRGB;
        TMenuItem *MenuMinimoRGB;
        TMenuItem *N11;
        TMenuItem *MenuBandaR;
        TMenuItem *MenuBandaG;
        TMenuItem *MenuBandaB;
        TMenuItem *MenuEcualizacion;
        TMenuItem *MenuNegativar;
        TMenuItem *N13;
        TMenuItem *MenuContrastar;
        TMenuItem *MenuAclarar;
        TMenuItem *MenuOscurecer;
        TMenuItem *N15;
        TMenuItem *MenuSegmentation;
        TMenuItem *MenuThreshold;
        TMenuItem *MenuThresholdingMethods;
        TMenuItem *MenuTextureSegmentation;
        TMenuItem *MenuTMSplit;
        TMenuItem *MenuTMMean;
        TMenuItem *MenuTMBlackPercentage;
        TMenuItem *MenuTMTwoPeaks;
        TMenuItem *MenuTMLaplacian;
        TMenuItem *MenuTMIterativeSelection;
        TMenuItem *MenuOtsu;
        TMenuItem *MenuTMPun;
        TMenuItem *MenuTMKapur;
        TMenuItem *MenuTMJohannsen;
        TMenuItem *MenuTMFuzzyEntropy;
        TMenuItem *MenuTMFuzzyYager;
        TMenuItem *N16;
        TMenuItem *MenuTMMinimumError;
        TMenuItem *MenuTMRelaxation;
        TMenuItem *MenuTMDigitalDesk;
        TMenuItem *MenuTSAverage;
        TMenuItem *MenuTSStandardDeviation;
        TMenuItem *MenuTSMaximumProbability;
        TMenuItem *MenuTSEnergy;
        TMenuItem *MenuTSContrast;
        TMenuItem *MenuTSHomogeneity;
        TMenuItem *MenuTSEntropy;
        TMenuItem *N17;
        TMenuItem *MenuTSHorizontal;
        TMenuItem *MenuTS45Degrees;
        TMenuItem *MenuTSVertical;
        TMenuItem *MenuTS135Degrees;
        TMenuItem *MenuHysteresisThresholding;
	TMenuItem *MenuStretching;
	TMenuItem *MenuLogaritmo;
	TMenuItem *MenuExponencial;
	TMenuItem *N12;
	TMenuItem *N14;
	TMenuItem *MenuOpciones;
	TMenuItem *N18;
	TMenuItem *N1;
	TMenuItem *MenuAbout;
	TMenuItem *MenuEdgeDetection;
	TMenuItem *MenuEDMask3x3;
	TMenuItem *MenuEDMask2x2;
	TMenuItem *MenuED3x3Simple;
	TMenuItem *MenuED3x3Phillips;
	TMenuItem *MenuED3x3Faler;
	TMenuItem *MenuEDLaplacian;
	TMenuItem *MenuEDLaplacianaI;
	TMenuItem *MenuEDLaplacianaII;
	TMenuItem *MenuEDLaplacianaIII;
	TMenuItem *MenuED3x3Sobel;
	TMenuItem *MenuED3x3Kirsch;
	TMenuItem *MenuED3x3Prewitt;
	TMenuItem *MenuEDPseudoPyramid;
	TMenuItem *MenuEDRange;
	TMenuItem *MenuEDDifference;
	TMenuItem *MenuEDHomogeneity;
	TMenuItem *MenuEDCracks;
	TMenuItem *MenuEDGradient;
	TMenuItem *MenuEDGradienteI;
	TMenuItem *MenuEDGradienteII;
	TMenuItem *MenuEDGradienteIII;
	TMenuItem *MenuEDMarrHildreth;
	TMenuItem *MenuEDCanny;
	TMenuItem *MenuEDShenCastan;
	TMenuItem *N19;
	TMenuItem *MenuConvolution3x3;
	TMenuItem *MenuMorphology;
	TMenuItem *MenuMErosion;
	TMenuItem *MenuMDilation;
	TMenuItem *MenuMOpen;
	TMenuItem *MenuMClose;
	TMenuItem *MenuMGradient;
	TMenuItem *MenuMSmooth;
	TMenuItem *N20;
	TMenuItem *MenuMSE;
	TMenuItem *MenuMSESimple;
	TMenuItem *MenuMSEMexicanHat;
	TMenuItem *MenuMSESoft;
	TMenuItem *MenuMSESphere5;
	TMenuItem *MenuMSESphere7;
	TMenuItem *MenuMOutlining;
	TMenuItem *MenuMInteriorOutlining;
	TMenuItem *MenuMExteriorOutlining;
	TMenuItem *MenuAfilado;
	TMenuItem *MenuSuavizado;
	TMenuItem *MenuSuavizadoGDA;
	TMenuItem *MenuSuavizadoMediana;
	TMenuItem *MenuSuavizadoModa;
	TMenuItem *MenuSuavizadoAveraging;
	TMenuItem *MenuSuavizadoClosestAveraging;
	TMenuItem *MenuAfiladoUnsharpMask;
	TMenuItem *MenuAfiladoLaplaciana;
	TMenuItem *MenuAfiladoAGC;
	TMenuItem *MenuSmoothing;
	TMenuItem *MenuTransform;
	TMenuItem *MenuFourier;
	TMenuItem *MenuHaar;
	TMenuItem *MenuDaubechies;
	TMenuItem *MenuWalsh;
	TMenuItem *MenuFFT;
	TMenuItem *MenuHaarWavelet;
	TMenuItem *MenuDaubechiesWavelet;
	TMenuItem *MenuWalshWavelet;
	TMenuItem *N21;
	TMenuItem *MenuFourierLowPass;
	TMenuItem *MenuFourierHighPass;
	TMenuItem *MenuFourierHomomorphic;
	TMenuItem *MenuFourierFilter;
	TMenuItem *MenuFourierLowPassIdeal;
	TMenuItem *MenuFourierLowPassButterworth;
	TMenuItem *MenuFourierHighPassIdeal;
	TMenuItem *MenuFourierHighPassButterworth;
	TMenuItem *MenuHaarFilter;
	TMenuItem *MenuDaubechiesFilter;
	TMenuItem *MenuWalshFilter;
	TMenuItem *MenuFourierBandPass;
	TMenuItem *MenuFourierBandPassIdeal;
	TMenuItem *MenuFourierLowPassExponencial;
	TMenuItem *MenuFourierHighPassExponencial;
	TMenuItem *MenuFourierBandPassExponencial;
	TMenuItem *MenuFFTInversa;
	TMenuItem *MenuGradient;
	TMenuItem *MenuGradient1;
	TMenuItem *MenuGradient2;
	TMenuItem *MenuGradient3;
	TMenuItem *MenuGradient4;
	TMenuItem *MenuGradient1SQRT;
	TMenuItem *MenuGradient1ABS;
	TMenuItem *MenuGradient1X;
	TMenuItem *MenuGradient1Y;
	TMenuItem *MenuGradient2SQRT;
	TMenuItem *MenuGradient2ABS;
	TMenuItem *MenuGradient2X;
	TMenuItem *MenuGradient2Y;
	TMenuItem *MenuGradient3SQRT;
	TMenuItem *MenuGradient3ABS;
	TMenuItem *MenuGradient3X;
	TMenuItem *MenuGradient3Y;
	TMenuItem *MenuGradient4SQRT;
	TMenuItem *MenuGradient4ABS;
	TMenuItem *MenuGradient4X;
	TMenuItem *MenuGradient4Y;
	TMenuItem *MenuRuido;
	TMenuItem *MenuRuidoAditivo;
	TMenuItem *MenuRuidoMultiplicativo;
	TMenuItem *MenuRuidoAditivoNormal;
	TMenuItem *MenuRuidoMultiplicativoNormal;
	TMenuItem *MenuSuavizadoGaussiana;
	TMenuItem *MenuRuidoAditivoUniforme;
	TMenuItem *MenuRuidoMultiplicativoUniforme;
	TMenuItem *MenuRuidoAditivoExponencial;
	TMenuItem *MenuRuidoMultiplicatExponencial;
	TMenuItem *MenuConvolution;
	TMenuItem *MenuEDPhaseCongruency;
	TMenuItem *MenuHistogramModification;
	TMenuItem *N23;
	TMenuItem *MenuHough;
	TMenuItem *MenuHTLine;
	TMenuItem *MenuHTLineDetection;
        void __fastcall MenuCargarImagenClick(TObject *Sender);
        void __fastcall MenuSalirClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        
        void __fastcall MenuGuardarImagenClick(TObject *Sender);
        void __fastcall MenuImprimirClick(TObject *Sender);
        void __fastcall MenuDeshacerClick(TObject *Sender);
        void __fastcall MenuRehacerClick(TObject *Sender);
        void __fastcall MenuAcercarClick(TObject *Sender);
        void __fastcall MenuAlejarClick(TObject *Sender);
        void __fastcall MenuReflejoHorizontalClick(TObject *Sender);
        void __fastcall MenuReflejoVerticalClick(TObject *Sender);
        void __fastcall MenuRotacionClick(TObject *Sender);
        void __fastcall MenuEscalaClick(TObject *Sender);
        void __fastcall MenuZoomInterpolacionClick(TObject *Sender);
        void __fastcall MenuRecorteClick(TObject *Sender);
        
        void __fastcall MenuImagenNivelesDeGrisClick(TObject *Sender);
        
        void __fastcall MenuLuminanciaCIEClick(TObject *Sender);
        void __fastcall MenuLuminanciaNTSCClick(TObject *Sender);
        void __fastcall MenuMediaRGBClick(TObject *Sender);
        void __fastcall MenuMaximoRGBClick(TObject *Sender);
        void __fastcall MenuMinimoRGBClick(TObject *Sender);
        void __fastcall MenuBandaRClick(TObject *Sender);
        void __fastcall MenuBandaGClick(TObject *Sender);
        void __fastcall MenuBandaBClick(TObject *Sender);
        void __fastcall MenuDimensionesClick(TObject *Sender);
        void __fastcall MenuHistogramaClick(TObject *Sender);
        void __fastcall MenuHistogramaAcumuladoClick(TObject *Sender);
        void __fastcall MenuEcualizacionClick(TObject *Sender);
        void __fastcall MenuContrastarClick(TObject *Sender);
        void __fastcall MenuNegativarClick(TObject *Sender);
        void __fastcall MenuAclararClick(TObject *Sender);
        void __fastcall MenuOscurecerClick(TObject *Sender);
        void __fastcall MenuThresholdClick(TObject *Sender);
        void __fastcall MenuHysteresisThresholdingClick(TObject *Sender);
        void __fastcall MenuTMSplitClick(TObject *Sender);
        void __fastcall MenuTMMeanClick(TObject *Sender);
        void __fastcall MenuTMBlackPercentageClick(TObject *Sender);
        void __fastcall MenuTMTwoPeaksClick(TObject *Sender);
        void __fastcall MenuTMLaplacianClick(TObject *Sender);
        void __fastcall MenuTMIterativeSelectionClick(TObject *Sender);
        void __fastcall MenuOtsuClick(TObject *Sender);
        void __fastcall MenuTMPunClick(TObject *Sender);
        void __fastcall MenuTMKapurClick(TObject *Sender);
        void __fastcall MenuTMJohannsenClick(TObject *Sender);
        void __fastcall MenuTMFuzzyEntropyClick(TObject *Sender);
        void __fastcall MenuTMFuzzyYagerClick(TObject *Sender);
        void __fastcall MenuTMMinimumErrorClick(TObject *Sender);
        void __fastcall MenuTMRelaxationClick(TObject *Sender);
        void __fastcall MenuTMDigitalDeskClick(TObject *Sender);
        void __fastcall MenuTSHorizontalClick(TObject *Sender);
        void __fastcall MenuTS45DegreesClick(TObject *Sender);
        void __fastcall MenuTSVerticalClick(TObject *Sender);
        void __fastcall MenuTS135DegreesClick(TObject *Sender);
        void __fastcall MenuTSAverageClick(TObject *Sender);
        void __fastcall MenuTSStandardDeviationClick(TObject *Sender);
        void __fastcall MenuTSMaximumProbabilityClick(TObject *Sender);
        void __fastcall MenuTSEnergyClick(TObject *Sender);
        void __fastcall MenuTSContrastClick(TObject *Sender);
        void __fastcall MenuTSHomogeneityClick(TObject *Sender);
        void __fastcall MenuTSEntropyClick(TObject *Sender);
	
	void __fastcall MenuStretchingClick(TObject *Sender);
	void __fastcall MenuLogaritmoClick(TObject *Sender);
	void __fastcall MenuExponencialClick(TObject *Sender);
	void __fastcall MenuOpcionesClick(TObject *Sender);
	void __fastcall MenuAboutClick(TObject *Sender);
	void __fastcall MenuEDMask2x2Click(TObject *Sender);
	void __fastcall MenuED3x3SimpleClick(TObject *Sender);
	void __fastcall MenuED3x3PhillipsClick(TObject *Sender);
	void __fastcall MenuED3x3FalerClick(TObject *Sender);
	void __fastcall MenuED3x3SobelClick(TObject *Sender);
	void __fastcall MenuED3x3KirschClick(TObject *Sender);
	void __fastcall MenuED3x3PrewittClick(TObject *Sender);
	void __fastcall MenuEDGradienteIClick(TObject *Sender);
	void __fastcall MenuEDGradienteIIClick(TObject *Sender);
	void __fastcall MenuEDGradienteIIIClick(TObject *Sender);
	void __fastcall MenuEDLaplacianaIClick(TObject *Sender);
	void __fastcall MenuEDLaplacianaIIClick(TObject *Sender);
	void __fastcall MenuEDLaplacianaIIIClick(TObject *Sender);
	void __fastcall MenuEDPseudoPyramidClick(TObject *Sender);
	void __fastcall MenuEDCracksClick(TObject *Sender);
	void __fastcall MenuEDRangeClick(TObject *Sender);
	void __fastcall MenuEDDifferenceClick(TObject *Sender);
	void __fastcall MenuEDHomogeneityClick(TObject *Sender);
	void __fastcall MenuEDMarrHildrethClick(TObject *Sender);
	void __fastcall MenuEDCannyClick(TObject *Sender);
	void __fastcall MenuEDShenCastanClick(TObject *Sender);
	void __fastcall MenuConvolution3x3Click(TObject *Sender);
	void __fastcall MenuMSESimpleClick(TObject *Sender);
	void __fastcall MenuMSEMexicanHatClick(TObject *Sender);
	void __fastcall MenuMSESoftClick(TObject *Sender);
	void __fastcall MenuMSESphere5Click(TObject *Sender);
	void __fastcall MenuMSESphere7Click(TObject *Sender);
	void __fastcall MenuMErosionClick(TObject *Sender);
	void __fastcall MenuMDilationClick(TObject *Sender);
	void __fastcall MenuMOpenClick(TObject *Sender);
	void __fastcall MenuMCloseClick(TObject *Sender);
	void __fastcall MenuMGradientClick(TObject *Sender);
	void __fastcall MenuMSmoothClick(TObject *Sender);
	void __fastcall MenuMInteriorOutliningClick(TObject *Sender);
	void __fastcall MenuMExteriorOutliningClick(TObject *Sender);
	void __fastcall MenuAfiladoUnsharpMaskClick(TObject *Sender);
	void __fastcall MenuAfiladoLaplacianaClick(TObject *Sender);
	void __fastcall MenuAfiladoAGCClick(TObject *Sender);
	void __fastcall MenuSuavizadoAveragingClick(TObject *Sender);
	void __fastcall MenuSuavizadoClosestAveragingClick(TObject *Sender);
	void __fastcall MenuSuavizadoMedianaClick(TObject *Sender);
	void __fastcall MenuSuavizadoModaClick(TObject *Sender);
	void __fastcall MenuSuavizadoGDAClick(TObject *Sender);
	void __fastcall MenuSmoothingClick(TObject *Sender);
	void __fastcall MenuFFTClick(TObject *Sender);
	void __fastcall MenuFourierLowPassIdealClick(TObject *Sender);
	void __fastcall MenuFourierLowPassButterworthClick(TObject *Sender);
	void __fastcall MenuFourierHighPassIdealClick(TObject *Sender);
	void __fastcall MenuFourierHighPassButterworthClick(TObject *Sender);
	void __fastcall MenuFourierFilterClick(TObject *Sender);
	void __fastcall MenuFourierHomomorphicClick(TObject *Sender);
	void __fastcall MenuHaarWaveletClick(TObject *Sender);
	void __fastcall MenuHaarFilterClick(TObject *Sender);
	void __fastcall MenuDaubechiesWaveletClick(TObject *Sender);
	void __fastcall MenuDaubechiesFilterClick(TObject *Sender);
	void __fastcall MenuWalshWaveletClick(TObject *Sender);
	void __fastcall MenuWalshFilterClick(TObject *Sender);
	void __fastcall MenuFourierBandPassIdealClick(TObject *Sender);
	void __fastcall MenuFourierLowPassExponencialClick(TObject *Sender);
	void __fastcall MenuFourierHighPassExponencialClick(TObject *Sender);
	void __fastcall MenuFourierBandPassExponencialClick(TObject *Sender);
	void __fastcall MenuFFTInversaClick(TObject *Sender);
	
	void __fastcall MenuGradient1SQRTClick(TObject *Sender);
	void __fastcall MenuGradient1ABSClick(TObject *Sender);
	void __fastcall MenuGradient1XClick(TObject *Sender);
	void __fastcall MenuGradient1YClick(TObject *Sender);
	void __fastcall MenuGradient2SQRTClick(TObject *Sender);
	void __fastcall MenuGradient2ABSClick(TObject *Sender);
	void __fastcall MenuGradient2XClick(TObject *Sender);
	void __fastcall MenuGradient2YClick(TObject *Sender);
	void __fastcall MenuGradient3SQRTClick(TObject *Sender);
	void __fastcall MenuGradient3ABSClick(TObject *Sender);
	void __fastcall MenuGradient3XClick(TObject *Sender);
	void __fastcall MenuGradient3YClick(TObject *Sender);
	void __fastcall MenuGradient4SQRTClick(TObject *Sender);
	void __fastcall MenuGradient4ABSClick(TObject *Sender);
	void __fastcall MenuGradient4XClick(TObject *Sender);
	void __fastcall MenuGradient4YClick(TObject *Sender);
	void __fastcall MenuSuavizadoGaussianaClick(TObject *Sender);

	void __fastcall MenuRuidoAditivoUniformeClick(TObject *Sender);
	void __fastcall MenuRuidoMultiplicativoUniformeClick(TObject *Sender);
	void __fastcall MenuRuidoAditivoNormalClick(TObject *Sender);
	void __fastcall MenuRuidoMultiplicativoNormalClick(TObject *Sender);
	void __fastcall MenuRuidoAditivoExponencialClick(TObject *Sender);

	void __fastcall MenuRuidoMultiplicatExponencialClick(TObject *Sender);

	void __fastcall MenuConvolutionClick(TObject *Sender);
	void __fastcall MenuEDPhaseCongruencyClick(TObject *Sender);
	void __fastcall MenuHTLineClick(TObject *Sender);
	void __fastcall MenuHTLineDetectionClick(TObject *Sender);
private:	// User declarations

        void __fastcall TFormMain::Idioma (int language);

        void __fastcall TFormMain::MenuImagenColor (void);
        void __fastcall TFormMain::MenuImagenGRAYLEVEL (void);

        void __fastcall TFormMain::NuevaImagen (Imagen img);

        // Morfologa
        Imagen __fastcall SE (void);
        int __fastcall SE_OrigenX (void);
        int __fastcall SE_OrigenY (void);

public:		// User declarations
        __fastcall TFormMain(TComponent* Owner);

 	ComplexImg fft;
        int        fftAnchura;
        int        fftAltura;
};
//---------------------------------------------------------------------------
extern TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
