//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "OPTIONS.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TFormOptions *FormOptions;
//---------------------------------------------------------------------------
__fastcall TFormOptions::TFormOptions(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFormOptions::TimerTimer(TObject *Sender)
{
  Timer->Interval = 1000;

  if (language==SPANISH)
     language = ENGLISH;
  else if (language==ENGLISH)
     language = SPANISH;

  if (language==SPANISH) {
     Caption = "Opciones del programa";
     Label->Caption = "Idioma";
     BitBtnCancel->Caption = "Cancelar";
     RadioButtonESP->Caption = "Espaol";
     RadioButtonENG->Caption = "Ingls";
  } else {
     Caption = "Program options";
     Label->Caption = "Language";
     BitBtnCancel->Caption = "Cancel";
     RadioButtonESP->Caption = "Spanish";
     RadioButtonENG->Caption = "English";
  }
}
//---------------------------------------------------------------------------
void __fastcall TFormOptions::FormActivate(TObject *Sender)
{
  Timer->Enabled  = true;
  Timer->Interval = 1000;
}
//---------------------------------------------------------------------------
void __fastcall TFormOptions::FormDeactivate(TObject *Sender)
{
  Timer->Enabled = false;
}
//---------------------------------------------------------------------------
int __fastcall TFormOptions::Language (void)
{
   if (RadioButtonESP->Checked)
      return SPANISH;
   else if (RadioButtonENG->Checked)
      return ENGLISH;
   else
      return -1;
}
//---------------------------------------------------------------------------
